Apple Pay Domains
Get domains
List the domains registered for Apple Pay on this instance.
GET
/
api
/
wallet
/
apple-pay
/
domains
Get domains
curl --request GET \
--url https://{instance}.{env}.on-hellgate.cloud/api/wallet/apple-pay/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/wallet/apple-pay/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/wallet/apple-pay/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3d7f1b5a-9c4e-4f2d-b8a6-1e5c9d3b7f4a",
"domain": "pay.example.com",
"state": "verified",
"created_at": "2026-02-01T09:15:00Z",
"last_verified_at": "2026-02-05T11:00:00Z"
}
],
"links": {
"next": "/api/wallet/apple-pay/domains?after=3d7f1b5a-9c4e-4f2d-b8a6-1e5c9d3b7f4a&limit=20"
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}Authorizations
bearerAuthAPIKey
JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.
⌘I
Get domains
